import { postJsonRequest, downloadRequest } from "./api.js";
const myApi = {
  getProjects(params) {
    return postJsonRequest("/api/honeywell/inncon/list/project", params);
  },

  userAPI(action,params) {
    return postJsonRequest("/api/honeywell/user",action, params);
  },

  download(params) {
    return downloadRequest("/api/honeywell/inncon/list/project", params);
  },
};

const actionNum = {
  QueryUser: 90000,
  CreateUser: 90001,
  UpdateUser: 90002,
  DeleteUser: 90003,
  QueryRole: 90100,
};
export { myApi, actionNum };
