import { createRouter, createWebHashHistory } from "vue-router";
import Home from "../views/Home.vue";
import Project from "../views/Project.vue";
import Room from "../views/Room.vue";
import Login from "../views/Login.vue";
import User from "../views/User.vue";

const routes = [
  {
    path: "/",
    // redirect: "/home",
    redirect: "/user",
  },
  {
    path: "/home",
    name: "home",
    component: Home,
  },
  {
    path: "/login",
    name: "login",
    component: Login,
  },
  {
    path: "/project",
    name: "project",
    component: Project,
  },
  {
    path: "/room",
    name: "room",
    component: Room,
  },
  {
    path: "/user",
    name: "user",
    component: User,
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
